Subject: bug#22692: 25.0.91; xref-find-definitions fails to prompt

From: Dmitry Gutov <[email-masked]>
Date: Tue, 16 Feb 2016 12:12:55 +0200

On 02/16/2016 03:02 AM, Mike Kupfer wrote:
> If point is on a token that isn't defined in the current tags file,
> M-. gives me an error (look for "Cygwin" further down in this bug
> report).  I expect to get a prompt.

That doesn't sound right to me: "XXX is not found" is a valid piece of 
information. Simply showing a prompt would obscure it.

If we accept that the command searches for the thing at point by 
default, the current behavior seems appropriate. And whether or not it 
prompts, is customizable.